ApiYarnApplicationAttribute (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiYarnApplicationAttribute

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiYarnApplicationAttribute

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiYarnApplicationAttribute
      extends Object

  Metadata about a YARN application attribute.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiYarnApplicationAttribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiYarnApplicationAttribute` | `description(String description)`
    `ApiYarnApplicationAttribute` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `String` | `getDescription()` The description of the attribute.
    `String` | `getDisplayName()` The display name for the attribute.
    `String` | `getName()` The name of the attribute.
    `String` | `getType()` The type of the attribute.
    `int` | `hashCode()`
    `Boolean` | `isSupportsHistograms()` Whether the Service Monitor can generate a histogram of the distribution of the attribute across applications.
    `ApiYarnApplicationAttribute` | `name(String name)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setName(String name)`
    `void` | `setSupportsHistograms(Boolean supportsHistograms)`
    `void` | `setType(String type)`
    `ApiYarnApplicationAttribute` | `supportsHistograms(Boolean supportsHistograms)`
    `String` | `toString()`
    `ApiYarnApplicationAttribute` | `type(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiYarnApplicationAttribute

          public ApiYarnApplicationAttribute()

  - ### Method Detail

    - #### name

          public ApiYarnApplicationAttribute name(String name)

    - #### getName

          public String getName()

      The name of the attribute. This name can be used in filters, for example 'user' could be used in the filter 'user = root'.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### type

          public ApiYarnApplicationAttribute type(String type)

    - #### getType

          public String getType()

      The type of the attribute. Valid types are STRING, NUMBER, BOOLEAN, BYTES, MILLISECONDS, BYTES_PER_SECOND, BYTE_SECONDS.
      Returns:
        type

    - #### setType

          public void setType(String type)

    - #### displayName

          public ApiYarnApplicationAttribute displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      The display name for the attribute.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### supportsHistograms

          public ApiYarnApplicationAttribute supportsHistograms(Boolean supportsHistograms)

    - #### isSupportsHistograms

          public Boolean isSupportsHistograms()

      Whether the Service Monitor can generate a histogram of the distribution of the attribute across applications.
      Returns:
        supportsHistograms

    - #### setSupportsHistograms

          public void setSupportsHistograms(Boolean supportsHistograms)

    - #### description

          public ApiYarnApplicationAttribute description(String description)

    - #### getDescription

          public String getDescription()

      The description of the attribute.
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.